org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.RequestStatus

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminRequest.RequestStatusResponse>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.RequestStatus

All Implemented Interfaces:
  Serializable, V2RequestSupport, MapSerializable, MapWriter

Enclosing class:
  CollectionAdminRequest<T extends CollectionAdminResponse>

    public static class CollectionAdminRequest.RequestStatus
    extends CollectionAdminRequest<CollectionAdminRequest.RequestStatusResponse>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest, CollectionAdminRequest.AsyncCollectionSpecificAdminRequest, CollectionAdminRequest.AsyncShardSpecificAdminRequest, CollectionAdminRequest.Backup, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.CreateSnapshot, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteNode, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteSnapshot, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.ListAliases, CollectionAdminRequest.ListSnapshots, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.MoveReplica, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RebalanceLeaders, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.ReplaceNode, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.RequestStatusResponse, CollectionAdminRequest.Restore, CollectionAdminRequest.ShardSpecificAdminRequest, CollectionAdminRequest.SplitShard, CollectionAdminRequest.UtilizeNode`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`protected String` `requestId`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected CollectionAdminRequest.RequestStatusResponse` `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
`SolrParams` `getParams()`
`String` `getRequestId()`
`RequestStatusState` `waitFor(SolrClient client, long timeoutSeconds)` Wait until the asynchronous request is either completed or failed, up to a timeout

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, addReplicaByRouteKey, addReplicaProperty, addReplicaToShard, addReplicaToShard, addRole, backupCollection, balanceReplicaProperty, createAlias, createCollection, createCollection, createCollection, createCollectionWithImplicitRouter, createCollectionWithImplicitRouter, createShard, deleteAlias, deleteAllAsyncIds, deleteAsyncId, deleteCollection, deleteReplica, deleteReplicaProperty, deleteReplicasFromAllShards, deleteReplicasFromShard, deleteShard, forceLeaderElection, getClusterStatus, getOverseerStatus, getV2Request, listCollections, migrateCollectionFormat, migrateData, rebalanceLeaders, reloadCollection, removeRole, requestStatus, restoreCollection, setClusterProperty, splitShard, waitForAsyncRequest, writeMap`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`toMap`

### Field Detail

#### requestId

    protected String requestId

### Method Detail

#### getRequestId

    public String getRequestId()

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest<CollectionAdminRequest.RequestStatusResponse>`

#### createResponse

    protected CollectionAdminRequest.RequestStatusResponse createResponse(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<CollectionAdminRequest.RequestStatusResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### waitFor

    public RequestStatusState waitFor(SolrClient client,
                                      long timeoutSeconds)
                               throws IOException,
                                      SolrServerException,
                                      InterruptedException

Wait until the asynchronous request is either completed or failed, up to a timeout

Parameters:
  `client` - a SolrClient
  `timeoutSeconds` - the maximum time to wait in seconds
Returns:
  the last seen state of the request
Throws:
  `IOException`
  `SolrServerException`
  `InterruptedException`